#
# Copyright (c) 2015-2021 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_default_theme.shared.site.portlet interfaces module

"""

__docformat__ = 'restructuredtext'

from zope.interface import Interface
from zope.schema import Bool

from pyams_default_theme import _


class ISiteContainerSummaryRendererSettings(Interface):
    """Site container summary renderer settings"""

    display_header = Bool(title=_("Display header?"),
                          description=_("If 'no', contents header will not be displayed"),
                          required=True,
                          default=True)
